Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453539 - Support message selectors
Summary: Support message selectors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
high
high
Target Milestone: 3.0
: ---
Assignee: Andrew Stitcher
QA Contact: Zdenek Kraus
URL:
Whiteboard:
Depends On: 957981 1082487 1082959 1090368 1090376 1090395
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 08:58 UTC by Gordon Sim
Modified: 2018-12-06 14:33 UTC (History)
12 users (show)

Fixed In Version: qpid-cpp-0.22
Doc Type: Enhancement
Doc Text:
MRG Messaging C++ components now include support for Message Selectors. Other languages had support for selectors, but C++ was missing this. Customers required this functionality in the product. Selector support is now available in the 0-10 and 1-0 protocols for the C++ messaging client and broker code, and implements the selector language with some limitations. This feature is documented in the "Select Messages Using a Filter" section of the Messaging Programming Reference Guide.
Clone Of:
: 957981 (view as bug list)
Environment:
Last Closed: 2014-09-24 15:01:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-4558 None None None Never
Apache JIRA QPID-530 None None None Never
Red Hat Product Errata RHEA-2014:1296 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 3.0 Release 2014-09-24 19:00:06 UTC
Red Hat Bugzilla 510129 None None None Never

Internal Links: 510129

Description Gordon Sim 2008-07-01 08:58:19 UTC
https://issues.apache.org/jira/browse/QPID-530

Comment 2 Gordon Sim 2010-03-30 08:51:21 UTC
Though AMQP 0-10 does not specify any functionality around selectors, it offers an appropriate extension point via the arguments filed of message-subscribe. The qpid java broker already uses this to support server side selectors and qpidd should follow the same scheme.

Comment 3 William Henry 2010-09-03 21:26:22 UTC
Would this be implemented in a separate queue type? i.e. Would there be a selectable/selector queue? Perhaps there would be little overhead but it seems that we should make this a type of queue so that any overhead doesn't adversely effect more lightweight low-latency queues.

Comment 14 Justin Ross 2013-04-20 10:36:53 UTC
-> POST

From the point of view of downstream release preparation, this is ready, even though the upstream issue has some remaining tasks.

Please open new issues for any defects or improvements.

Comment 19 Zdenek Kraus 2014-03-31 11:48:44 UTC
( 1 ) Does the Identifiers that starts with $ or _ have some special meaning ?

( 2 ) Should the grammar really allow identifiers like $, $$, $$$, _, __, _$_, _.__.., $., a etc.?

( 3 ) Could you provide (if any exists) some special examples ? for example usage of variables, or some build in functions/macros like "amqp.timestamp - time.timestamp() < 5" is such exists

Comment 20 Andrew Stitcher 2014-04-03 17:59:17 UTC
(In reply to Zdenek Kraus from comment #19)
> ( 1 ) Does the Identifiers that starts with $ or _ have some special meaning
> ?
> 
> ( 2 ) Should the grammar really allow identifiers like $, $$, $$$, _, __,
> _$_, _.__.., $., a etc.?
> 
> ( 3 ) Could you provide (if any exists) some special examples ? for example
> usage of variables, or some build in functions/macros like "amqp.timestamp -
> time.timestamp() < 5" is such exists

See comment #14 - This is really a tracker bug for the overall feature, please open a new BZ for issues.

Comment 21 Zdenek Kraus 2014-04-04 05:38:06 UTC
I haven't reported you any new issue, I just wanted to ask you 3 simple questions, and for that I won't open a new issue, so please if you could answer me.

Comment 24 Zdenek Kraus 2014-07-16 09:14:15 UTC
Summary: all code related blocking issues are in VERIFIED, waiting for DOC

Comment 25 Zdenek Kraus 2014-08-19 13:42:48 UTC
DOC resolved -> VERIFIED

Comment 27 Jared MORGAN 2014-09-17 01:16:16 UTC
Adding reference to the docs in the release note text so customer know where to read more about the feature.

Comment 29 errata-xmlrpc 2014-09-24 15:01:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-1296.html


Note You need to log in before you can comment on or make changes to this bug.